#! /bin/sh
PATH=$PATH:/home/cak/src/morseNews

TXTFILE=/tmp/morseNews$$
LASTTXT=/tmp/morseNews.last
WAVFILE=/tmp/morseNewsWav$$
ICEDIR=/usr/local/icecast/share/icecast/sources/CNN

trap "rm -f $WAVFILE $TXTFILE; exit 1" 1 2 3 15

cd /tmp

cnnmorse.pl > $TXTFILE 
if cmp -s $TXTFILE $LASTTXT ; then
    # same as last time, do nothing
    rm $TXTFILE
    exit 0
fi

MP3FILE=cnn13wpm.mp3
tomorse -p600 -c 20 -s 13 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 13/20wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
# try to avoid overwriting the existing file and screwing up the audio
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

MP3FILE=cnn18wpm.mp3
tomorse -p600 -c 20 -s 18 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 18/20wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

MP3FILE=cnn21wpm.mp3
tomorse -p600 -c 25 -s 21 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 21/25wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

MP3FILE=cnn25wpm.mp3
tomorse -p600 -c 25 -s 25 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 25/25wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

MP3FILE=cnn2130wpm.mp3
tomorse -p600 -c 30 -s 21 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 21/30wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

MP3FILE=cnn2530wpm.mp3
tomorse -p600 -c 30 -s 25 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 25/30wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

MP3FILE=cnn30wpm.mp3
tomorse -p600 -c 30 -s 30 > $WAVFILE < $TXTFILE
lame -f -m f -b 8 -s 8 --silent --resample 8 --tt "CNN breaking news 30/30wpm" --ta K6DBG --ty `date +%Y` $WAVFILE $MP3FILE
rm $ICEDIR/$MP3FILE
mv $MP3FILE $ICEDIR

mv $TXTFILE $LASTTXT
rm $WAVFILE

exit 0
